Bug 1276290 - (CVE-2015-7943) CVE-2015-7943 drupal: Overlay module vulnerable to open redirect (SA-CORE-2015-004)
CVE-2015-7943 drupal: Overlay module vulnerable to open redirect (SA-CORE-201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151021,reported=2...
: Security
Depends On: 1276291 1276292
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 07:16 EDT by Adam Mariš
Modified: 2016-11-08 11:09 EST (History)
5 users (show)

See Also:
Fixed In Version: drupal 7.41
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 03:56:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-29 07:16:12 EDT
The Overlay module in Drupal core displays administrative pages as a layer over the current page (using JavaScript), rather than replacing the page in the browser window. The Overlay module does not sufficiently validate URLs prior to displaying their contents, leading to an open redirect vulnerability.

This vulnerability is mitigated by the fact that it can only be used against site users who have the "Access the administrative overlay" permission, and that the Overlay module must be enabled.

Affects Drupal core 7.x versions prior to 7.41.

External reference:

https://www.drupal.org/SA-CORE-2015-004
Comment 1 Adam Mariš 2015-10-29 07:17:06 EDT
Created drupal7 tracking bugs for this issue:

Affects: fedora-all [bug 1276291]
Affects: epel-all [bug 1276292]
Comment 2 Shawn Iwinski 2015-12-08 19:32:18 EST
All dependent bugs are closed.  May this tracking bug be closed?
Comment 3 Adam Mariš 2015-12-09 03:56:44 EST
Yes, I'll close it, thanks.

Note You need to log in before you can comment on or make changes to this bug.